AOZ Studio Beta - Bug #432

VSCROLL misses last line of screen
08/04/2020 12:44 PM - Paul Kitching

Status: Closed Start date: 08/04/2020
Priority: Normal Due date:

Assignee: AOZ Studio Team % Done: 0%
Category: Estimated time: 1:00 hour
Target version:

Affected version: Beta RC2

Description

This code doesn't scroll the bottom line of the screen up. It should scroll all lines below the current cursor position.
#manifest: "amiga"

for y=0 to 31
locate 0,y:print repeat$ ("a",39);
next y
locate 20,10
wait 25
for s=1 to 5
vscroll 4
wait 5
next s
end

History

#1 - 09/19/2020 08:40 AM - Brian Flanagan
- Estimated time set to 1:00 h
- Affected version changed from 0.9.9.4 to Beta RC2

Verified. It appears that this is offset by 1 line.
If we open a screen 1 line (8 pixels in Amiga manifest) taller, then the other line will scroll.

#2 - 09/19/2020 09:48 AM - Brian Flanagan

- Status changed from New to Resolved

Corrected mode 4 scrolling. Other 3 modes were fine.

#3 - 11/17/2020 08:55 PM - Paul Kitching

- Status changed from Resolved to Closed
